<template>
 <basic-container>
   <avue-crud ref="crud"
              v-model="form"
              :data="data"
              :option="option"
              @on-load="getList"
              @row-update="rowUpdate"
              @row-save="rowSave"
              @row-del="rowDel"
              >
   </avue-crud>
 </basic-container>
</template>

<script>
export default {
  name: "enupackage.vue",
  data(){
    return {

      data:[
        {
          enuName:"测试1",
          desc:"测试1",
          enuItem:"测试1"
        },
        {
          enuName:"测试2",
          desc:"测试2",
          enuItem:"测试2"
        },
        {
          enuName:"测试3",
          desc:"测试3",
          enuItem:"测试3"
        },
        {
          enuName:"测试4",
          desc:"测试4",
          enuItem:"测试4"
        },
      ],
      form:{},
      option:{
        height:300,
        headerAlign:'center',
        align: 'center',
        border: true,
        index: true,
        indexFixed:false,
        menuFixed:false,
        column:[
          {
            label:"枚举项名称",
            prop:"enuName",
          },
          {
            label:"枚举项值",
            prop:"enuItem",
          },
          {
            label:"描述",
            prop:"desc",
            type:"textarea"
          },
        ]
      }
    }
  },
  methods:{
    rowSave(row, done, loading) {
      add(Object.assign({
        createUser: this.userInfo.name
      }, row)).then(() => {
        this.$message.success('新增成功')
        done();
        this.getList();
      }).catch(() => {
        loading()
      })
    },
    rowUpdate(row, index, done, loading) {
      update(Object.assign({
        updateUser: this.userInfo.name
      }, row)).then(() => {
        this.$message.success('修改成功')
        done()
        this.getList();
      }).catch(() => {
        loading()
      })
    },
    rowDel(row) {
      this.$confirm('此操作将永久删除, 是否继续?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        return del(row.id)
      }).then(() => {
        this.$message.success('删除成功')
        this.getList();
      })
    },
  }
}
</script>

<style scoped>

</style>
